#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, j, s;
    vector<int> resa, resb;
    cin >> n;
    vector<int> v1;
    for (int i = 0; i < 2 * n; i++)
    {
        v1.push_back(i + 1);
    }
    s = v1.size();
    if (n % 2 == 0)
    {
        for (int i = 0; i < n / 2; i++)
        {
            j = (s - 1) - i;
            resa.push_back(v1[i]);
            resa.push_back(v1[j]);
        }
        j = (s - 1) - n / 2;
        for (int i = n / 2; i < (2 * n) / 2; i++)
        {
            resb.push_back(v1[i]);
            resb.push_back(v1[j]);
            j--;
        }
    }
    else
    {
        for (int i = 0; i < n / 2 + 1; i++)
        {
            j = (s - 1) - i;
            resa.push_back(v1[i]);
            resa.push_back(v1[j]);
        }
        j = (s - 1) - n / 2;
        for (int i = n / 2 + 1; i < (2 * n) / 2 + 1; i++)
        {
            resb.push_back(v1[i]);
            resb.push_back(v1[j]);
            j--;
        }
    }
    if (n % 2 == 0)
    {
        for (int i = 0; i < resa.size(); i++)
        {
            cout << resa[i] << " ";
        }
        cout << '\n';
        for (int i = 0; i < resb.size(); i++)
        {
            cout << resb[i] << " ";
        }
    }
    else
    {
        for (int i = 0; i < resa.size() - 1; i++)
        {
            cout << resa[i] << " ";
        }
        cout << '\n';
        for (int i = 0; i < resb.size() - 1; i++)
        {
            cout << resb[i] << " ";
        }
    }
}